Bug Hunting Session
Bug 117676 - Change Sort Ascending button in Home Tab in Calc by the Sort button
Summary: Change Sort Ascending button in Home Tab in Calc by the Sort button
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Toolbars Button-Controls
  Show dependency treegraph
 
Reported: 2018-05-17 22:43 UTC by Pedro
Modified: 2018-10-24 10:55 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Sort buttons in Spreadsheet and Excel and button to add in Calc. (423.79 KB, image/png)
2018-05-17 22:43 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2018-05-17 22:43:03 UTC
Created attachment 142176 [details]
Sort buttons in Spreadsheet and Excel and button to add in Calc.

As show in the attachment, WPS Spreadsheet and Excel both have not the "Sort Ascending" button in the Home tab but the more generic "Sort" button with a drop-down menu in their Home tabs.

I would suggest to add the same in the Home tab in Calc.There's plenty of space to add that button in the Home tab in Calc.
Comment 1 Heiko Tietze 2018-05-18 14:27:16 UTC
OTOH, having quick access to Sort up/down in one click is also nice.
Comment 2 Pedro 2018-05-18 17:33:23 UTC
Well, the Sort Ascending button is also present under the "Home" drop-down menu on the right edge of Calc.
Basically right now the same button is present in two places in the same tab.
And sort ascending only allows to sort items in columns from smallest to biggest, not the other way around.

Having the Sort button, a user can easily access both sorting options without having to move to the Data tab.
Comment 3 Xisco Faulí 2018-10-24 10:55:48 UTC
Changing status to RESOLVED WONTFIX